﻿@model List<Reporting.Models.ChartModel>

<div class="container">
    <canvas id="myChart" width="400" height="400"></canvas>
</div>

@section Scripts {
    <script>
        var cities = [];
        @foreach(var city in Model){
            @:cities.push(@Html.Raw(Json.Serialize(city)));
        }
        var labels = [];
        var datasets = [];
        for (var i = cities[0].values.length; i >= 1; i--) {
            let date = new Date();
            date.setDate(date.getDate() - i);
            labels.push(date.getDate() + "/" + (date.getMonth() + 1));
        }

        var dynamicColors = function () {
            
        };

        for (let city of cities) {
            var r = Math.floor(Math.random() * 255);
            var g = Math.floor(Math.random() * 255);
            var b = Math.floor(Math.random() * 255);
            color = "rgb(" + r + "," + g + "," + b + ")";
            datasets.push({
                label: city.name,
                data: city.values,
                backgroundColor:"rgb(0,0,0,0)",
                borderColor: color
            });
        }

        var ctx = document.getElementById('myChart').getContext('2d');
        var chart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: labels,
                datasets: datasets
            }
        });
    </script>
}